//
// Version Spec
// X.AA.BB 
// AA: Model Version BB: Data file Version 
//
// Installer command file V 2.00.01
//
/*

  
 1) 2006.06.01 :
	  - Version : V2.00.01
	  - Description :
	  	. change "Guide.pdf" => %USER_GUIDE_NAME%
	  	
*/

//////////////////////////////////////////////////////////////////////////////////////////////////////////
//																										//
//												Command Section											//			
//																										//
//////////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////
// 		Install Start command			//
//////////////////////////////////////////

[INST_STRART_CMD]
CT_DELETE_FILE = DEVICEINFO_DELETE

[INST_STRART_CMD.END]


//////////////////////////////////////////
//		Install End  command			//
//////////////////////////////////////////
[INST_END_CMD]
CT_ADDREG = ADD_REG.PRINTER119_DELETE_ALL

CT_COPY_FILE = COPY_EREG_FILE_32
CT_COPY_FILE = COPY_EREG_FILE_64

CT_EXE_FILE_NOWAIT = $PROGRAM_FILES_DIR$\Xerox\EReg.exe, %MODEL_NAME%

[INST_END_CMD.END]




//////////////////////////////////////////
// 		Restall Start command			//
//////////////////////////////////////////

[REINST_STRART_CMD]

[REINST_STRART_CMD.END]

//////////////////////////////////////////
// 		Restall End command				//
//////////////////////////////////////////

[REINST_END_CMD]

[REINST_END_CMD.END]



//////////////////////////////////////////
// 		Unstall Start command			//
//////////////////////////////////////////

[UNINST_STRART_CMD]

[UNINST_STRART_CMD.END]

//////////////////////////////////////////
// 		Unstall End command				//
//////////////////////////////////////////

[UNINST_END_CMD]
//CT_DELREG = DEL_REG.VKPRINT
CT_DELREG = DEL_REG.VKPRINT_SPL
CT_DELREG = DEL_REG.VKPRINT_SPL_COLOR
CT_DELREG = DEL_REG.VKPRINT_SPL_MONO

CT_DELREG = DEL_REG.VKPRINT_SPL_PCL
CT_DELREG = DEL_REG.VKPRINT_SPL_PCL_COLOR
CT_DELREG = DEL_REG.VKPRINT_SPL_PCL_MONO


CT_DELREG = DEL_REG.VKPRINT_GDI
CT_DELREG = DEL_REG.VKPRINT_GDI_COLOR
CT_DELREG = DEL_REG.VKPRINT_GDI_MONO

CT_DELREG = DEL_REG.VKPRINT_PCL
CT_DELREG = DEL_REG.VKPRINT_PCL_COLOR
CT_DELREG = DEL_REG.VKPRINT_PCL_MONO

CT_DELREG = DEL_REG.VKPRINT_PS

[UNINST_END_CMD.END]



//////////////////////////////////////////////////////////////////////
//																	//		
// 							Copy file section						//
//																	//
//////////////////////////////////////////////////////////////////////
[COPY_FILE_INFO]

COPYFILE_DATA
COPYFILE_SETUP
COPYFILE_SPL_ALL
COPYFILE_SPL_COLOR_ALL
COPYFILE_SPL_PCL_ALL
COPYFILE_SPL_PCL_COLOR_ALL
COPYFILE_GDI_ALL
COPYFILE_GDI_COLOR_ALL
COPYFILE_PCL_ALL
COPYFILE_PCL_COLOR_ALL
COPYFILE_PS_ALL
COPYFILE_SCAN
COPYFILE_SPANEL
//COPYFILE_DR_PRINTER_ICON
COPYFILE_PSU
//COPYFILE_SETIP
COPYFILE_MANUAL
COPYFILE_MANUAL_VIEWER
COPYFILE_ACROBAT
COPYFILE_SM
COPYFILE_RCP

[COPY_FILE_INFO_END]

[COPYFILE_SPL_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI@
SOURCE = %SPL_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\SPL
COPY_SUBDIR = 1

[COPYFILE_SPL_COLOR_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI_COLOR@
SOURCE = %SPL_COLOR_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\SPL_COLOR
COPY_SUBDIR = 1

[COPYFILE_SPL_PCL_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI@
SOURCE = %SPL_PCL_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\SPL_PCL
COPY_SUBDIR = 1

[COPYFILE_SPL_PCL_COLOR_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI_COLOR@
SOURCE = %SPL_PCL_COLOR_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\SPL_PCL_COLOR
COPY_SUBDIR = 1


[COPYFILE_GDI_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI@
SOURCE = %GDI_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\GDI
COPY_SUBDIR = 1

[COPYFILE_GDI_COLOR_ALL]
DESCRIPTION = @COMPONENT.PRINTER_GDI_COLOR@
SOURCE = %GDI_COLOR_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\GDI_COLOR
COPY_SUBDIR = 1

[COPYFILE_PCL_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PCL@
SOURCE = %PCL_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\PCL
COPY_SUBDIR = 1

[COPYFILE_PCL_COLOR_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PCL_COLOR@
SOURCE = %PCL_COLOR_DIR%
DESTINATION = $DEST_DIR$\Install\PRINTER\PCL_COLOR
COPY_SUBDIR = 1

[COPYFILE_PS_ALL]
DESCRIPTION = @COMPONENT.PRINTER_PS@
SOURCE = %PS_DIR%\$LANG_DIR$
DESTINATION = $DEST_DIR$\Install\PRINTER\PS\$LANG_DIR$
COPY_SUBDIR = 1

[COPYFILE_SPANEL]
DESCRIPTION = @COMPONENT.SP@
SOURCE = %SPANEL_DIR%
DESTINATION = $DEST_DIR$\Install\Application\SPANEL
COPY_SUBDIR = 1

[COPYFILE_SCAN]
DESCRIPTION = @COMPONENT.SCANNER@
SOURCE = %SCANNER_DIR%
DESTINATION = $DEST_DIR$\Install\SCANNER
COPY_SUBDIR = 1

[COPYFILE_PSU]
DESCRIPTION = @COMPONENT.PSU@
SOURCE = %PSU_DIR%
DESTINATION = $DEST_DIR$\Install\Application\PSU
COPY_SUBDIR = 1

[COPYFILE_SETIP]
DESCRIPTION = @COMPONENT.SETIP@
SOURCE = %SETIP_DIR%\$LANG_DIR$
DESTINATION = $DEST_DIR$\Install\Application\SETIP\$LANG_DIR$
COPY_SUBDIR = 1

[COPYFILE_DATA]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$\data
DESTINATION = $DEST_DIR$\Install\data
COPY_SUBDIR = 1

[COPYFILE_SETUP]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$
DESTINATION = $DEST_DIR$\Install
COPY_SUBDIR = 0

[COPYFILE_DR_PRINTER_ICON]
DESCRIPTION = @FILE_COPY.INSTALLATION@
SOURCE = $SRC_DIR$\data\Dr. Printer Icon.ico
DESTINATION = $WIN_DIR$\Dr. Printer Icon.ico
DELETE = 0

[COPYFILE_MANUAL]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = %USER_GUIDE_DIR%
DESTINATION = $DEST_DIR$\Install\MANUAL\$ORG_LANG_DIR$

[COPYFILE_MANUAL_VIEWER]
DESCRIPTION = @FILE_COPY.MANUAL@
SOURCE = $SRC_DIR$\DATA\Ssopen.exe
DESTINATION = $DEST_DIR$\Install\DATA\Ssopen.exe

[COPYFILE_ACROBAT]
DESCRIPTION = @FILE_COPY.ACROBATREADER@
SOURCE = $SRC_DIR$\@ACROBATREADER_PATH@
DESTINATION = $DEST_DIR$\Install\@ACROBATREADER_PATH@

[COPYFILE_SM]
DESCRIPTION = @COMPONENT.SM@
SOURCE = %SM_DIR%
DESTINATION = $DEST_DIR$\Install\Application\SM
COPY_SUBDIR = 1

[COPYFILE_RCP]
DESCRIPTION = @COMPONENT.RCP@
SOURCE = %RCP_DIR%
DESTINATION = $DEST_DIR$\Install\Application\RCP
COPY_SUBDIR = 1


//////////////////////////////////////////////////
//
// Copy Network Monitor File
//
////////////////////////////////////////////////////
[NET_MON_9X_FILE]
SUPPORTED_OS = WIN95,WIN98,WINME
FILE = $SRC_DIR$\DATA\NetMon\Xermon_9x.dll,$SYS_DIR$\Xermon.dll
FILE = $SRC_DIR$\DATA\NetMon\ini\$LANG_DIR$\Xermon.ini,$SYS_DIR$\Xermon.ini,0
FILE = $SRC_DIR$\DATA\NetMon\SecSNMP.dll,$SYS_DIR$\SecSNMP.dll,0
[NET_MON_9X_FILE_END]

[NET_MON_NT_FILE]
SUPPORTED_OS = WINNT
FILE = $SRC_DIR$\DATA\NetMon\Xermon_NT.dll,$SYS_DIR$\Xermon.dll
FILE = $SRC_DIR$\DATA\NetMon\ini\$LANG_DIR$\Xermon.ini,$SYS_DIR$\Xermon.ini,0
FILE = $SRC_DIR$\DATA\NetMon\SecSNMP.dll,$SYS_DIR$\SecSNMP.dll,0
[NET_MON_NT_FILE_END]

////////////////////////////////////////////////
//
// Shortcut information
//
///////////////////////////////////////////////
[UNINST_SHORTCUT]
NAME = @COMMON.SHORTCUT_MAINT@
GROUP = START
TARGET = $DEST_DIR$\Install\%INSTALLER_FIE%
ARGUMENT = /R
ICON_FILE = $DEST_DIR$\Install\%INSTALLER_FIE%
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
//DESCRIPTION = @UNINST_SHORTCUT.DESC@

[MANUAL_SHORTCUT]
NAME = @WELCOME.MANUAL@
GROUP = START
TARGET = $DEST_DIR$\Install\DATA\Ssopen.exe
ARGUMENT = /T$DEST_DIR$\Install\MANUAL\$ORG_LANG_DIR$\%USER_GUIDE_NAME% /I$DEST_DIR$\Install\@ACROBATREADER_PATH@ /N %MODEL_NAME%
ICON_FILE = $DEST_DIR$\Install\DATA\Ssopen.exe
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
DESCRIPTION = @WELCOME.MANUAL@



[DR_PRINTER_SHORTCUT]
SUPPORTED_LANG = KR, EN, CP, RU, IT, FN, GR
NAME = @DR_PRINTER.NAME@
GROUP = DESKTOP
TARGET = @DR_PRINTER.URL@
ARGUMENT = 
ICON_FILE = $WIN_DIR$\Dr. Printer Icon.ico
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = 
DESCRIPTION = 
DELETE = 0


[LANGUAGE_SHORTCUT]
NAME = @COMMON.SHORTCUT_LANG@
GROUP = START
TARGET = $DEST_DIR$\Install\data\SSLang.exe
ARGUMENT = SSLang.dat
ICON_FILE = $DEST_DIR$\Install\data\SSLang.exe
ICON_INDEX = 0
PERMISSION = 
FOLDER_NAME = @UNINST_SHORTCUT.FOLDER_NAME@
DESCRIPTION = @COMMON.SHORTCUT_LANG@


/////////////////////////////////////////////////////////////////////
//
// section of Registry to be added 
// 
// RootKey = HKLM,HKCU        Default value is HKLM
// KeyName = Created or existing key name
// Value.VALUE = type,name,data 
// - value name is value name
// - value type is registry type (REG_DWORD, REG_SZ)
// - Value is real value, if REG_DWORD and value is 0x???? ==> it is hexadecimal
//                        if REG_DWORD and Value is ????   ==> it is decimal
//                        if REG_SZ, the value must be bound with quotation mark.
/////////////////////////////////////////////////////////////////////////////////

[ADD_REG.UNINSTKEY]
ROOTKEY = HKLM
KEYNAME = Software\Microsoft\Windows\CurrentVersion\uninstall\%MODEL_NAME%
VALUE = REG_SZ,DisplayName,@REGISTRY.UNINSTALL_NAME@
VALUE = REG_SZ,UninstallString,$DEST_DIR$\Install\%INSTALLER_FIE% /R
VALUE = REG_SZ,DisplayIcon,$DEST_DIR$\Install\%INSTALLER_FIE%
DELETE_KEY = 1
[ADD_REG.UNINSTKEY_END]

[DEL_REG.VKPRINT_SPL]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%SPL_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_SPL_END]

[DEL_REG.VKPRINT_SPL_COLOR]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%SPL_COLOR_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_SPL_COLOR_END]

[DEL_REG.VKPRINT_SPL_PCL]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%SPL_PCL_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_SPL_PCL_END]

[DEL_REG.VKPRINT_SPL_PCL_COLOR]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%SPL_PCL_COLOR_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_SPL_PCL_COLOR_END]

[DEL_REG.VKPRINT_SPL_PCL_MONO]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%SPL_PCL_MONO_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_SPL_PCL_MONO_END]

[DEL_REG.VKPRINT_GDI]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%GDI_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_GDI_END]

[DEL_REG.VKPRINT_GDI_COLOR]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%GDI_COLOR_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_GDI_COLOR_END]

[DEL_REG.VKPRINT_GDI_MONO]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%GDI_MONO_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_GDI_MONO_END]

[DEL_REG.VKPRINT_PCL]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PCL_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PCL_END]

[DEL_REG.VKPRINT_PCL_COLOR]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PCL_COLOR_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PCL_COLOR_END]

[DEL_REG.VKPRINT_PCL_MONO]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PCL_MONO_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PCL_MONO_END]

[DEL_REG.VKPRINT_PS]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\VKPrinter\%PS_PRINTER%
DELETE_KEY = 1
[DEL_REG.VKPRINT_PS_END]

[ADD_REG.PRINTER119_DELETE_ALL]
ROOTKEY = HKLM
KEYNAME = Software\%MFG%\%MODEL_NAME%\Installed
VALUE = REG_SZ,Uninstall,"$DEST_DIR$\Install\Setup.exe" /D
[ADD_REG.PRINTER119_DELETE_ALL_END]

//////////////////////////////////////////////////////////////////////
//																																	//		
// 							Ereg Utility	(This is called by Finish button)			//
//																																	//
//////////////////////////////////////////////////////////////////////
[COPY_EREG_FILE_32]
SUPPORTED_OS = WIN2K, WINXP, VISTA
FILE = $SRC_DIR$\DATA\EReg\32bit\EReg.exe,$PROGRAM_FILES_DIR$\Xerox\EReg.exe,0
FILE = $SRC_DIR$\DATA\EReg\32bit\x2comsAS.dll,$PROGRAM_FILES_DIR$\Xerox\x2comsAS.dll,0
FILE = $SRC_DIR$\DATA\EReg\32bit\x2utilAS.dll,$PROGRAM_FILES_DIR$\Xerox\x2utilAS.dll,0
FILE = $SRC_DIR$\DATA\EReg\32bit\xlibeay.dll,$PROGRAM_FILES_DIR$\Xerox\xlibeay.dll,0
FILE = $SRC_DIR$\DATA\EReg\$LANG_DIR$\x2txt01.dll,$PROGRAM_FILES_DIR$\Xerox\x2txt01.dll,0
[COPY_EREG_FILEE_END]

[COPY_EREG_FILE_64]
SUPPORTED_OS = WIN64,VISTA_64 
FILE = $SRC_DIR$\DATA\EReg\64bit\EReg.exe,$PROGRAM_FILES_DIR$\Xerox\EReg.exe,0
FILE = $SRC_DIR$\DATA\EReg\64bit\x2comsAS.dll,$PROGRAM_FILES_DIR$\Xerox\x2comsAS.dll,0
FILE = $SRC_DIR$\DATA\EReg\64bit\x2utilAS.dll,$PROGRAM_FILES_DIR$\Xerox\x2utilAS.dll,0
FILE = $SRC_DIR$\DATA\EReg\64bit\xlibeay.dll,$PROGRAM_FILES_DIR$\Xerox\xlibeay.dll,0
FILE = $SRC_DIR$\DATA\EReg\$LANG_DIR$\x2txt01.dll,$PROGRAM_FILES_DIR$\Xerox\x2txt01.dll,0
[COPY_EREG_FILEE_END]